Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: exim

Tunables Interfaces

### Description:

Mail transfer agent.

### Tunables:

exim_can_connect_db

##### Default value

false

##### Description

Determine whether exim can connect to databases.

exim_manage_user_files

##### Default value

false

##### Description

Determine whether exim can create, read, write, and delete generic user content files.

exim_read_user_files

##### Default value

false

##### Description

Determine whether exim can read generic user content files.

Return

### Interfaces:

exim_admin( domain , role )

##### Summary

All of the rules required to administrate an exim environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

exim_append_log( domain )

##### Summary

Append exim log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_domtrans( domain )

##### Summary

Execute a domain transition to run exim.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

exim_dontaudit_read_tmp_files( domain )

##### Summary

Do not audit attempts to read exim temporary tmp files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

exim_exec( domain )

##### Summary

Execute exim in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_manage_log( domain )

##### Summary

Create, read, write, and delete exim log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_manage_spool_dirs( domain )

##### Summary

Create, read, write, and delete exim spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_manage_spool_files( domain )

##### Summary

Create, read, write, and delete exim spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_manage_var_lib_files( domain )

##### Summary

Create, read, and write exim var lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_log( domain )

##### Summary

Read exim log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_pid_files( domain )

##### Summary

Read exim pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_spool_files( domain )

##### Summary

Read exim spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_tmp_files( domain )

##### Summary

Read exim temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_read_var_lib_files( domain )

##### Summary

Read exim var lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

exim_run( domain , role )

##### Summary

Execute exim in the exim domain, and allow the specified role the exim domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return